$gray: #110b0b;
$whole-width: 100%;
$one-third-width: 33.33%;
$image-border: #f012be;
$lime: #01ff70;
$yellow: #ffdc00;
$fucsia: #f012be;

body {
  color: $gray;
}
// видимость
.header {
  .text {
//    font-size: 32px;
    @include font-s(32px, 34px);  
    text-align: center;
  }
}
.main {
  margin: 0 auto;
  max-width: 960px;
}
.task2 {
  display: flex;
  flex-wrap: wrap;
}

.title {
  width: $whole-width;
}
.width {
  &-whole {
    width: $whole-width;
  }
  &-third {
    width: $one-third-width;
  }
}
//.image {
//  border-color: $image-border;
//}
.image1 {
  border-color: rgba($image-border, 0.5);
}
.image2 {
  border-color: desaturate($image-border, 50%);
}
.image3 {
  border-color: lighten($image-border, 30%);
}
$n: 1;
@while $n <= 10 {
  .stair#{$n} {
    width: $whole-width * 0.1 * $n;
    border: 1px solid rgba($image-border, 0.1 * $n);
  }
}
//.generate-stairs($n) when ($n > 0) {
//  .stair#{$n} {
//    width: $whole-width * 0.1 * $n;
//    border: 1px solid rgba($image-border, 0.1 * $n);
//  }
//  .generate-stairs($n - 1);
//}
//.generate-stairs(10);

//.cats-list {
//  width: $width * 0.3;
//}
//.content {
//  width: $width * 0.6;
//}
